# Generated by go2rpm
%bcond_without check

# https://github.com/dominikh/go-tools
%global goipath         honnef.co/go/tools
%global forgeurl        https://github.com/dominikh/go-tools
Version:                2020.1.5
%global tag             2020.1.5

%gometa

%global common_description %{expand:
honnef.co/go/tools/... is a collection of tools and libraries for working with
Go code, including linters and static analysis, most prominently staticcheck.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Collection of static analysis tools for working with Go code
Group:          Development/Other

# Upstream license specification: BSD-3-Clause and MIT
License:        BSD and MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/BurntSushi/toml)
BuildRequires:  golang(github.com/google/renameio)
BuildRequires:  golang(github.com/kisielk/gotool)
BuildRequires:  golang(github.com/rogpeppe/go-internal/modfile)
BuildRequires:  golang(golang.org/x/mod/module)
BuildRequires:  golang(golang.org/x/tools/go/analysis)
BuildRequires:  golang(golang.org/x/tools/go/analysis/analysistest)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/inspect)
BuildRequires:  golang(golang.org/x/tools/go/ast/astutil)
BuildRequires:  golang(golang.org/x/tools/go/ast/inspector)
BuildRequires:  golang(golang.org/x/tools/go/buildutil)
BuildRequires:  golang(golang.org/x/tools/go/gcexportdata)
BuildRequires:  golang(golang.org/x/tools/go/loader)
BuildRequires:  golang(golang.org/x/tools/go/packages)
BuildRequires:  golang(golang.org/x/tools/go/types/objectpath)
BuildRequires:  golang(golang.org/x/tools/go/types/typeutil)
BuildRequires:  golang(golang.org/x/tools/refactor/importgraph)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/go-module-query cmd/keyify cmd/rdeps cmd/staticcheck cmd/structlayout-optimize cmd/structlayout-pretty cmd/structlayout; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# https://github.com/dominikh/go-tools/issues/687
%gocheck -d unused -d staticcheck
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/*

%gopkgfiles


%changelog
* Sun Aug 30 2020 guillomovitch <guillomovitch> 2020.1.5-1.mga8
+ Revision: 1619945
- new version 2020.1.5

* Wed Nov 28 2018 pterjan <pterjan> 2017.2.2-1.mga7
+ Revision: 1336239
- imported package golang-honnef-tools


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2017.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 23 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2017.2.2-1
- First package for Fedora

